<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<!-- Start of Bootstrap Link -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
	<!-- End of Bootstrap Link -->

	<title>Bootstrap Introduction and Simple Styles</title>


</head>
	<body class="text-center bg-secondary">

		<!-- 
		1. - .25rem
		2. - .5rem
		3. - 1rem
		4. - 1.5rem
		5. - 3rem

		m - margin
		p - padding
		(add "t", "b", "l", "r" for the direction)
		mx - margin left and right
		my - margin top and bottom
	 
	 -->
	 <!-- for width sizes:
	 25 - 25%
	 50 -50%
	 75 - 75%
	 100 - 100%
	 auto - default -->

	 <!-- Navbar -->

	<div class="bg-primary text-light fixed-top p-1">
		Fixed top - navbar
		
	</div>


	<!-- Header -->
	<div class="mt-5">
		<h1>Bootstrap Introduction and Simple Styles</h1>

		<div class="d-none d-lg-inline-block w-25 mt-4">
			<img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" class="rounded-circle bg-white img-fluid">
		</div>
	</div>
	<!-- End of Header -->

	<!-- Navbar -->

	<div class="bg-primary text-light sticky-top p-1">
		Fixed top - navbar
		
	</div>


	<h2>Bootstrap Color Classes</h2>

	<!-- Color classes table -->

	<div class="container-fluid">
		<table class="table table-dark table-bordered">
			<thead>
				<tr>
					<th>Text</th>
					<th>Background</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>
						<a href="#" class="text-primary">Primary Link</a>
					</td>
					<td class="bg-primary text-white">Primary
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-seconday">Secondary Link</a>
					</td>
					<td class="bg-primary text-white">Primary
					</td>
					<tr>
						<td>
							<a href="#" class="text-success">Success Link</a>
						</td>
						<td class="bg-primary text-white">Primary
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-danger">Primary Link</a>
						</td>
						<td class="bg-primary text-white">Primary
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-warning">Warning</a>
						</td>
						<td class="bg-primary text-white">Primary
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-light">Light Link</a>
						</td>
						<td class="bg-light text-dark">Danger
						</td>
					</tr>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-dark">Dark Link</a>
					</td>
					<td class="bg-primary text-white">Primary
					</td>
				</tr>
			</tbody>
		</table>
	</div>
	<!-- End of color classes -->

	<!-- Bootstrap Text Alignment Classes Table -->
	<h2>Bootstrap Text Classes</h2>

	<table class="table table-dark table-bordered text-light">
		<thead>
			<tr>
				<th>Alignment</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td class="text-left">Left</td>
			</tr>
			<tr>
				<td class="text-center">Center</td>
			</tr>

			<tr>
				<td class="text-right">Right</td>
			</tr>
			<!-- For extra small screens or small mobile phones, we can avoid using breakpoints -->
				<!-- All mobile views in Google Chrome browser are considered small screen sizes -->
				<!-- Screen size is greater than or equal to 576px -->
				<!-- Larger mobile phones -->
			<tr>
				<td class="text-sm-center">Small Center</td>
			</tr>

			<tr>
				<td class="text-right text-md-left">Medium Left</td>
			</tr>

			<tr>
				<td class="text-lg-right">Large Right</td>
			</tr>

			<tr>
				<td class="text-xl-center">Extra Large Center</td>
			</tr>
		</tbody>
	</table>


	<!-- End of Bootstrap Text Alignment Classes Table -->

	<!-- Bootstrap Other Text Classes Table -->
	<table class="table table-dark text-light table-bordered">
		<thead>
			<tr>
				<th>Text Transform</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td class="text-lowercase font-weight-bold">
					LOWERCASED BOLD TEXT
				</td>
			</tr>
			<tr>
				<td class="text-uppercase font-weight-normal">
					uppercased normal text
				</td>
			</tr>
			<tr>
				<td class="text-capitalize font-weight-light">
					capitalized light text
				</td>
			</tr>
			<tr>
				<td>
					<!-- "text-decoration-none" class removes the underline from link texts. -->
					<a href="#" class="text-decoration-none font-italic">Non-underlined Italic Link</a>
				</td>
			</tr>
		</tbody>
	</table>
	<!-- End of Bootstrap Text Alignment Classes Table -->

	<!-- Bootstrap Border and Sizing Clasess Table -->
	<h2>Bootstrap Border and Sizing Classes</h2>
	<table class="table table-dark text-light table-bordered">
		<thead>
			<tr>
				<th>Border</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>
					<div class="bg-info border border-primary rounded">Rounded</div>
				</td>
			</tr>
			<tr>
				<td>
					<div class="bg-secondary border border-white rounded-circle w-50">Rounded Circle</div>
				</td>
			</tr>
			<tr>
				<td>
					<div class="bg-warning border border-danger rounded-pill w-75">Rounded Pill</div>
				</td>
			</tr>
		</tbody>
		
	</table>

	<!-- End of Bootstrap -->

	<!-- Footer -->

	<div class="bg-primary text-light fixed-bottom">
		Fixed top - navbar
		
	</div>

	<!-- End of footer -->













	<!-- Start of Bootstrap Script -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
	<!-- End of Bootstrap Script -->

	</body>
</html>